package example.service;

import example.model.Computer;

import java.sql.SQLException;
import java.util.List;

public interface IComputerService {
    
    public void addComputer(String name, Double price, int stock);

    List<Computer> listComputer() throws SQLException;

    void deleteComputer(String id);

    Computer getComputer(String id);

    void updateComputer(String id, String name, double v, int i);
}
